summaryrefslogtreecommitdiffstats
path: root/source/n/portmap/portmap.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/portmap/portmap.SlackBuild')
-rwxr-xr-xsource/n/portmap/portmap.SlackBuild93
1 files changed, 93 insertions, 0 deletions
diff --git a/source/n/portmap/portmap.SlackBuild b/source/n/portmap/portmap.SlackBuild
new file mode 100755
index 000000000..3699bd9cf
--- /dev/null
+++ b/source/n/portmap/portmap.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=${VERSION:-6.0}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-portmap
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf portmap_$VERSION
+tar xvf $CWD/portmap-$VERSION.tar.bz2 || exit 1
+cd portmap_$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/portmap.lwrap.needs.lnsl.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+
+mkdir -p $PKG/usr/doc/portmap-$VERSION
+cp -a \
+ BLURB* CHANGES README* \
+ $PKG/usr/doc/portmap-$VERSION
+chmod 644 $PKG/usr/doc/portmap-$VERSION/*
+
+make || exit 1
+
+strip portmap pmap_dump pmap_set
+mkdir -p $PKG/sbin
+cat portmap > $PKG/sbin/rpc.portmap
+chmod 755 $PKG/sbin/rpc.portmap
+mkdir -p $PKG/usr/sbin
+cat pmap_dump > $PKG/usr/sbin/pmap_dump
+cat pmap_set > $PKG/usr/sbin/pmap_set
+chmod 755 $PKG/usr/sbin/*
+
+mkdir -p $PKG/usr/man/man8
+for file in *.8 ; do
+ cat ${file} | gzip -9c > $PKG/usr/man/man8/${file}.gz
+done
+( cd $PKG/usr/man/man8 ; ln -sf portmap.8.gz rpc.portmap.8.gz )
+
+# Now let's add a recent version of /etc/rpc for good measure:
+if [ -r /etc/rpc ]; then
+ mkdir -p $PKG/etc
+ cp -a /etc/rpc $PKG/etc/rpc
+else
+ echo "WARNING: no /etc/rpc on this system, can't include!"
+ echo -n "hit enter..."
+ read errorfodder
+ echo
+fi
+
+mkdir -p $PKG/etc/rc.d
+zcat $CWD/rc.rpc.gz > $PKG/etc/rc.d/rc.rpc.new
+# Off by default.
+chmod 644 $PKG/etc/rc.d/rc.rpc.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/portmap-$VERSION-$ARCH-$BUILD.txz
+